Package bitel.billing.server.admin.resource.bean

# Class NumberResource

java.lang.Object
bitel.billing.server.admin.resource.bean.Resource
bitel.billing.server.admin.resource.bean.NumberResource

    public class NumberResource
    extends Resource

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `NumberResource()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getContractComment()` |
  `java.lang.String` | `getContractTitle()` |
  `java.util.Date` | `getDateReserve()` |
  `java.lang.String` | `getNumber()` |
  `java.lang.String` | `getReserveComment()` |
  `void` | `setContractComment​(java.lang.String contractComment)` |
  `void` | `setContractTitle​(java.lang.String contractTitle)` |
  `void` | `setDateReserve​(java.util.Date dateReserve)` |
  `void` | `setNumber​(java.lang.String number)` |
  `void` | `setReserveComment​(java.lang.String reserveComment)` |

  ### Methods inherited from class bitel.billing.server.admin.resource.bean.Resource

  `getCategoryId, getDateFrom, getDateTo, getId, setCategoryId, setDateFrom, setDateTo, setId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NumberResource

    public NumberResource()

- ## Method Details

  - ### getNumber

    public java.lang.String getNumber()

  - ### setNumber

    public void setNumber​(java.lang.String number)

  - ### getContractTitle

    public java.lang.String getContractTitle()

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)

  - ### getContractComment

    public java.lang.String getContractComment()

  - ### setContractComment

    public void setContractComment​(java.lang.String contractComment)

  - ### getDateReserve

    public java.util.Date getDateReserve()

  - ### setDateReserve

    public void setDateReserve​(java.util.Date dateReserve)

  - ### getReserveComment

    public java.lang.String getReserveComment()

  - ### setReserveComment

    public void setReserveComment​(java.lang.String reserveComment)